> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tuor.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Webhook Delivery

> Reset a delivery to pending and schedule another attempt.



## OpenAPI

````yaml /openapi.json post /v1/webhook-deliveries/{delivery_id}/retry
openapi: 3.1.0
info:
  title: Tuor API
  description: API for storing and managing human review of model traces
  version: 0.1.0
servers:
  - url: https://api.tuor.dev
security:
  - ApiKeyAuth: []
paths:
  /v1/webhook-deliveries/{delivery_id}/retry:
    post:
      tags:
        - Webhooks
      summary: Retry Webhook Delivery
      description: Reset a delivery to pending and schedule another attempt.
      operationId: retry_webhook_delivery_v1_webhook_deliveries__delivery_id__retry_post
      parameters:
        - name: delivery_id
          in: path
          required: true
          schema:
            type: string
            title: Delivery Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        project_id:
          type: string
          title: Project Id
        trace_id:
          type: string
          title: Trace Id
        event_id:
          type: string
          title: Event Id
        status:
          $ref: '#/components/schemas/WebhookDeliveryStatus'
        attempt_count:
          type: integer
          title: Attempt Count
        last_attempt_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Attempt At
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        response_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - project_id
        - trace_id
        - event_id
        - status
        - attempt_count
        - created_at
      title: WebhookDeliveryResponse
      description: A webhook delivery and its latest attempt.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDeliveryStatus:
      type: string
      enum:
        - pending
        - delivered
        - failed
      title: WebhookDeliveryStatus
      description: Status of a webhook delivery.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.